﻿CREATE TABLE [dbo].[StagingCompanyProfilesFinancial] (
    [Id]                                                                                    UNIQUEIDENTIFIER NOT NULL,
    [ImportId]                                                                              UNIQUEIDENTIFIER NULL,
    [RowNo]                                                                                 INT              CONSTRAINT [DF_StagingCompanyProfilesFinancial_RowNo] DEFAULT ((0)) NOT NULL,
    [CompanyName]                                                                           NVARCHAR (255)   NULL,
    [Currency]                                                                              NVARCHAR (255)   NULL,
    [Units]                                                                                 NVARCHAR (255)   NULL,
    [FinanicialYear]                                                                        NVARCHAR (255)   NULL,
    [Revenue]                                                                               NVARCHAR (255)   NULL,
    [CostsAndExpenses]                                                                      NVARCHAR (255)   NULL,
    [CostOfProduction]                                                                      NVARCHAR (255)   NULL,
    [ResourceCost]                                                                          NVARCHAR (255)   NULL,
    [SalaryCost]                                                                            NVARCHAR (255)   NULL,
    [CostOfSales]                                                                           NVARCHAR (255)   NULL,
    [SellingExpenses]                                                                       NVARCHAR (255)   NULL,
    [MarketingExpenses]                                                                     NVARCHAR (255)   NULL,
    [AdministrativeExpenses]                                                                NVARCHAR (255)   NULL,
    [GeneralExpenses]                                                                       NVARCHAR (255)   NULL,
    [SellingGeneralAndAdminExpenses]                                                        NVARCHAR (255)   NULL,
    [ResearchAndDevelopmentExpenses]                                                        NVARCHAR (255)   NULL,
    [Depreciation]                                                                          NVARCHAR (255)   NULL,
    [Amortization]                                                                          NVARCHAR (255)   NULL,
    [Restructuring]                                                                         NVARCHAR (255)   NULL,
    [OtherIncomeOrDeductions]                                                               NVARCHAR (255)   NULL,
    [EBIT]                                                                                  NVARCHAR (255)   NULL,
    [InterestIncome]                                                                        NVARCHAR (255)   NULL,
    [InterestExpense]                                                                       NVARCHAR (255)   NULL,
    [EBT]                                                                                   NVARCHAR (255)   NULL,
    [Tax]                                                                                   NVARCHAR (255)   NULL,
    [NetIncomeFromContinuingOperations]                                                     NVARCHAR (255)   NULL,
    [DiscontinuedOperations]                                                                NVARCHAR (255)   NULL,
    [IncomeLossFromDiscontinuedOperations]                                                  NVARCHAR (255)   NULL,
    [GainOnDisposalOfDiscontinuedOperations]                                                NVARCHAR (255)   NULL,
    [DiscontinuedOperationsNetOfTax]                                                        NVARCHAR (255)   NULL,
    [NetIncomeBeforeAllocationToNoncontrollingInterests]                                    NVARCHAR (255)   NULL,
    [NonControllingInterests]                                                               NVARCHAR (255)   NULL,
    [NetIncome]                                                                             NVARCHAR (255)   NULL,
    [BasicEPS_]                                                                             NVARCHAR (255)   NULL,
    [BasicEPSFromContinuingOperations]                                                      NVARCHAR (255)   NULL,
    [BasicEPSFromDiscontinuedOperations]                                                    NVARCHAR (255)   NULL,
    [BasicEPS]                                                                              NVARCHAR (255)   NULL,
    [DilutedEPS_]                                                                           NVARCHAR (255)   NULL,
    [DilutedEPSFromContinuingOperations]                                                    NVARCHAR (255)   NULL,
    [DilutedEPSFromDiscontinuedOperations]                                                  NVARCHAR (255)   NULL,
    [DilutedEPS]                                                                            NVARCHAR (255)   NULL,
    [WeightedAverageSharesOutstandingBasic]                                                 NVARCHAR (255)   NULL,
    [WeightedAverageSharesOutstandingDiluted]                                               NVARCHAR (255)   NULL,
    [Assets_]                                                                               NVARCHAR (255)   NULL,
    [CashAndCashEquivalents]                                                                NVARCHAR (255)   NULL,
    [ShortTermInvestments]                                                                  NVARCHAR (255)   NULL,
    [AccountsReceivables]                                                                   NVARCHAR (255)   NULL,
    [Inventories]                                                                           NVARCHAR (255)   NULL,
    [CurrentTaxAssets]                                                                      NVARCHAR (255)   NULL,
    [OtherCurrentAssets]                                                                    NVARCHAR (255)   NULL,
    [AssetsHeldForSale]                                                                     NVARCHAR (255)   NULL,
    [TotalCurrentAssets]                                                                    NVARCHAR (255)   NULL,
    [LongTermInvestments]                                                                   NVARCHAR (255)   NULL,
    [PropertyPlantAndEquipment]                                                             NVARCHAR (255)   NULL,
    [IntangibleAssets]                                                                      NVARCHAR (255)   NULL,
    [Goodwill]                                                                              NVARCHAR (255)   NULL,
    [DeferredTaxAssets]                                                                     NVARCHAR (255)   NULL,
    [OtherNoncurrentAssets]                                                                 NVARCHAR (255)   NULL,
    [TotalAssets]                                                                           NVARCHAR (255)   NULL,
    [LiabilitiesAndEquity_]                                                                 NVARCHAR (255)   NULL,
    [ShortTermDebt]                                                                         NVARCHAR (255)   NULL,
    [TradeAccountsPayable]                                                                  NVARCHAR (255)   NULL,
    [DividendsPayable]                                                                      NVARCHAR (255)   NULL,
    [IncomeTaxesPayable]                                                                    NVARCHAR (255)   NULL,
    [AccruedExpenses]                                                                       NVARCHAR (255)   NULL,
    [OtherCurrentLiabilities]                                                               NVARCHAR (255)   NULL,
    [LiabilitiesHeldForSale]                                                                NVARCHAR (255)   NULL,
    [TotalCurrentLiabilities]                                                               NVARCHAR (255)   NULL,
    [LongTermDebt]                                                                          NVARCHAR (255)   NULL,
    [PensionBenefitObligations]                                                             NVARCHAR (255)   NULL,
    [PostretirementBenefitObligations]                                                      NVARCHAR (255)   NULL,
    [DeferredTaxLiabilities]                                                                NVARCHAR (255)   NULL,
    [OtherTaxesPayable]                                                                     NVARCHAR (255)   NULL,
    [OtherNoncurrentLliabilities]                                                           NVARCHAR (255)   NULL,
    [TotalLiabilities]                                                                      NVARCHAR (255)   NULL,
    [CommitmentsAndContingencies_]                                                          NVARCHAR (255)   NULL,
    [PreferredStock]                                                                        NVARCHAR (255)   NULL,
    [CommonStock]                                                                           NVARCHAR (255)   NULL,
    [Debentures]                                                                            NVARCHAR (255)   NULL,
    [AdditionalPaidInCapital]                                                               NVARCHAR (255)   NULL,
    [TresuryStock]                                                                          NVARCHAR (255)   NULL,
    [RetainedEarnings]                                                                      NVARCHAR (255)   NULL,
    [AccumulatedOtherComprehensiveLoss]                                                     NVARCHAR (255)   NULL,
    [TotalShareholdersEquity]                                                               NVARCHAR (255)   NULL,
    [MinorityInterest]                                                                      NVARCHAR (255)   NULL,
    [TotalEquity]                                                                           NVARCHAR (255)   NULL,
    [TotalLiabilitiesAndEquity]                                                             NVARCHAR (255)   NULL,
    [OperatingActivities_]                                                                  NVARCHAR (255)   NULL,
    [AdjustmentsToOperatingActivities_]                                                     NVARCHAR (255)   NULL,
    [DepreciationAndAmortization]                                                           NVARCHAR (255)   NULL,
    [Impairments]                                                                           NVARCHAR (255)   NULL,
    [LossOnSaleOfAssets]                                                                    NVARCHAR (255)   NULL,
    [OtherLossesOrGains]                                                                    NVARCHAR (255)   NULL,
    [DeferredTaxes]                                                                         NVARCHAR (255)   NULL,
    [ShareBasedCompensationExpense]                                                         NVARCHAR (255)   NULL,
    [BenefitPlanContributions]                                                              NVARCHAR (255)   NULL,
    [OtherAdjustmentsNet]                                                                   NVARCHAR (255)   NULL,
    [OtherChangesInAssetsAndLiabilitiesNetOfAcquisitionsAndDistitures_]                     NVARCHAR (255)   NULL,
    [AccountsReceivable]                                                                    NVARCHAR (255)   NULL,
    [OtherAssets]                                                                           NVARCHAR (255)   NULL,
    [AccountsPayable]                                                                       NVARCHAR (255)   NULL,
    [OtherLiabilities]                                                                      NVARCHAR (255)   NULL,
    [OtherTaxAccountsNet]                                                                   NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInOperatingActivities]                                          NVARCHAR (255)   NULL,
    [InvestingActivities_]                                                                  NVARCHAR (255)   NULL,
    [PurchasesOfPropertyPlantAndEquipment]                                                  NVARCHAR (255)   NULL,
    [PurchasesOfShortTermInvestments]                                                       NVARCHAR (255)   NULL,
    [SaleOfShortTermInvestments]                                                            NVARCHAR (255)   NULL,
    [RedemptionsOfShortTermInvestments]                                                     NVARCHAR (255)   NULL,
    [PurchasesOfLongTermInvestments]                                                        NVARCHAR (255)   NULL,
    [SaleOfLongTermInvestments]                                                             NVARCHAR (255)   NULL,
    [BusinessAcquisitions]                                                                  NVARCHAR (255)   NULL,
    [AcquisitionsOfIntangibleAssets]                                                        NVARCHAR (255)   NULL,
    [OtherInvestingActivitiesNet]                                                           NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInInvestingActivities]                                          NVARCHAR (255)   NULL,
    [FinancingActivities_]                                                                  NVARCHAR (255)   NULL,
    [ProceedsFromShortTermDebt]                                                             NVARCHAR (255)   NULL,
    [PrincipalPaymentsOnShortTermDebt]                                                      NVARCHAR (255)   NULL,
    [NetPaymentsonOrProceedsFromShortTermBorrowingsWithOrigilMaturitiesOfThreeMonthsOrLess] NVARCHAR (255)   NULL,
    [IssuanceOfLongTermDebt]                                                                NVARCHAR (255)   NULL,
    [PrincipalPaymentsOnLongTermDebt]                                                       NVARCHAR (255)   NULL,
    [PurchasesOfCommonStock]                                                                NVARCHAR (255)   NULL,
    [CashDividendsPaid]                                                                     NVARCHAR (255)   NULL,
    [ProceedsFromExerciseOfStockOptions]                                                    NVARCHAR (255)   NULL,
    [OtherFinancingActivitiesNet]                                                           NVARCHAR (255)   NULL,
    [NetCashProvidedByOrUsedInFinancingActivities]                                          NVARCHAR (255)   NULL,
    [ForeignExchangeImpact]                                                                 NVARCHAR (255)   NULL,
    [DecreaseInCashAndCashEquivalents]                                                      NVARCHAR (255)   NULL,
    [OpeningBalanceOfCashAndCashEquivalents]                                                NVARCHAR (255)   NULL,
    [ClosingBalanceOfCashAndCashEquivalents]                                                NVARCHAR (255)   NULL,
    [CashPaidReceivedDuringThePeriodFor_]                                                   NVARCHAR (255)   NULL,
    [IncomeTaxes]                                                                           NVARCHAR (255)   NULL,
    [InterestRateHedges]                                                                    NVARCHAR (255)   NULL,
    [Segment1]                                                                              NVARCHAR (255)   NULL,
    [Segment2]                                                                              NVARCHAR (255)   NULL,
    [Segment3]                                                                              NVARCHAR (255)   NULL,
    [Segment4]                                                                              NVARCHAR (255)   NULL,
    [Segment5]                                                                              NVARCHAR (255)   NULL,
    [TotalReportableSegments]                                                               NVARCHAR (255)   NULL,
    [Geography1]                                                                            NVARCHAR (255)   NULL,
    [Geography2]                                                                            NVARCHAR (255)   NULL,
    [Geography3]                                                                            NVARCHAR (255)   NULL,
    [Geography4]                                                                            NVARCHAR (255)   NULL,
    [Geography5]                                                                            NVARCHAR (255)   NULL,
    [TotalGeographicSegments]                                                               NVARCHAR (255)   NULL,
    [GrossProfit]                                                                           NVARCHAR (255)   NULL,
    [TotalOperatingExpenses]                                                                NVARCHAR (255)   NULL,
    [EBITDA]                                                                                NVARCHAR (255)   NULL,
    [DeferredRevenuesShortTerm]                                                             NVARCHAR (255)   NULL,
    [DeferredRevenuesLongTerm]                                                              NVARCHAR (255)   NULL,
    [CommonStockRepurchased]                                                                NVARCHAR (255)   NULL,
    [CapitalExpenditure]                                                                    NVARCHAR (255)   NULL,
    [UserCreatedById]                                                                       NVARCHAR (255)   NULL,
    [CompanyId]                                                                             NVARCHAR (255)   NULL,
    [CurrencyId]                                                                            NVARCHAR (255)   NULL,
    [ValueConversionId]                                                                     NVARCHAR (255)   NULL,
    [ErrorNotes]                                                                            NVARCHAR (1050)  NULL,
    CONSTRAINT [PK_StagingCompanyProfilesFinancial] PRIMARY KEY CLUSTERED ([Id] ASC)
);







